summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Roman Kodinets <rkodinets@gmail.com>2016-10-20 21:57:26 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-10-20 21:57:26 +0700
commit6db117127276fd9cb20744f6d48d535497f75282 (patch)
tree4dbe513c8194c657256b5551bca4eab9777b2151
parent6985e93e35e655ab75518f7b231d981f2e1f6261 (diff)
downloadslackbuilds-6db117127.tar.gz
slackbuilds-6db117127.tar.xz
games/empire: Added (strategy game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/empire/README14
-rw-r--r--games/empire/doinst.sh12
-rw-r--r--games/empire/empire.SlackBuild117
-rw-r--r--games/empire/empire.info10
-rw-r--r--games/empire/slack-desc19
5 files changed, 172 insertions, 0 deletions
diff --git a/games/empire/README b/games/empire/README
new file mode 100644
index 0000000000..3b8f08c84a
--- /dev/null
+++ b/games/empire/README
@@ -0,0 +1,14 @@
+Empire is a turn-based 4X wargame, where players command armies of units
+which they use to explore the game world, control territory, and attack
+opponents. The game world consists of "sectors", which may be designated as
+agricultural, industrial, etc. Control of these sectors grants the player a
+variety of raw and manufactured materials, which they may use to construct
+dozens of unit types.
+
+In each round, the players submit their commands for the activities of their
+units to the central server, which executes all of the commands either
+simultaneously or in a sequence. Rounds can last anywhere from a few hours
+to a day. As such, a full game can take much longer than modern 4X games,
+depending on the size of the game world; "Blitz" games may last a few hours,
+while typical games last months and larger games can take up to a year to
+complete.
diff --git a/games/empire/doinst.sh b/games/empire/doinst.sh
new file mode 100644
index 0000000000..95c1829e9f
--- /dev/null
+++ b/games/empire/doinst.sh
@@ -0,0 +1,12 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ rm $NEW
+ fi
+}
+
+config etc/games/empire/econfig.new
+config etc/games/empire/schedule.new
diff --git a/games/empire/empire.SlackBuild b/games/empire/empire.SlackBuild
new file mode 100644
index 0000000000..3dd0984901
--- /dev/null
+++ b/games/empire/empire.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Slackware build script for Empire
+
+# Copyright 2016 Roman Kodinets <rkodinets@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=empire
+VERSION=${VERSION:-4.3.33}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --sbindir=/usr/games \
+ --libexecdir=/usr/games \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/games \
+ --localstatedir=/var/games \
+ --sharedstatedir=/var/games \
+ --datarootdir=/usr/share/games \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+sed -r "s#^((prefix|bindir|sbindir|datarootdir|localstatedir|mandir|sysconfdir) := )([^ ].*)\$#\1${PKG}\3#" \
+ GNUmakefile > GNUmakefile_install
+
+make
+make -f GNUmakefile_install install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+for i in $PKG/etc/games/empire/{econfig,schedule} ; do mv $i $i.new ; done
+chown -R root:games $PKG/{etc/games/empire,var/games/empire}
+chmod -R g+w $PKG/{etc/games/empire,var/games/empire}
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf scripts/{backup.bat,blitz-w32}
+cp -a scripts $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cp README COPYING CREDITS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/empire/empire.info b/games/empire/empire.info
new file mode 100644
index 0000000000..b55e867e17
--- /dev/null
+++ b/games/empire/empire.info
@@ -0,0 +1,10 @@
+PRGNAM="empire"
+VERSION="4.3.33"
+HOMEPAGE="http://wolfpackempire.com"
+DOWNLOAD="http://downloads.sourceforge.net/project/empserver/empire-4.3.33/empire-4.3.33.tar.gz"
+MD5SUM="9a91f499a8e78d12a937e9503493930c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Roman Kodinets"
+EMAIL="rkodinets@gmail.com"
diff --git a/games/empire/slack-desc b/games/empire/slack-desc
new file mode 100644
index 0000000000..ecb45b06c5
--- /dev/null
+++ b/games/empire/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+empire: empire (strategy game)
+empire:
+empire: Empire is a multi-player, client/server Internet based war game.
+empire: Copyright (C) 1986-2015, Dave Pare, Jeff Bailey, Thomas Ruschak,
+empire: Ken Stevens, Steve McClure, Markus Armbruster
+empire:
+empire: Homepage: http://wolfpackempire.com
+empire:
+empire:
+empire:
+empire: